<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" encoding="ISO-8859-1"/>

<xsl:template match="/">
	<HTML>
		<HEAD>
			<TITLE>
				WebPage alerter
			</TITLE>
			<STYLE type="text/css">
				BODY {color: #000000; font-size: 9px; font-weight: bold; font-family: arial;  border: 1px outset; background: buttonface; }
				
				table.block {width: 100%; background: white; border: 1px #DDDDDD solid;}
								
				tr {vertical-align: top;}
				td{font-family: tahoma; font-size: 11 px; icon: hand;}
				td.wtitle{font-family: tahoma; font-size: 12 px; font-weight: bold; color: #000000; filter: progid:gradient(enabled=true, startColor=#550000, endColor=#55FFFF)}
				td.header{border: 1px outset; background: buttonface; font-weight: normal; text-align: center;}
				td.icon{border: 1px outset; background: buttonface; font-weight: bold; text-align: left;}
				td.data{border: 1px inset; background: white; font-weight: normal; text-align: left;}
				tr.data{border: 1px inset; background: white; font-weight: normal; text-align: left;}
								
			</STYLE>
		</HEAD>
				
	
	<body  style="margin: 0px">	
		<table style="border: 1px black solid; background: white; width: 100%" cellspacing="2">
			<tr><td width="60"></td>
			<td><font size="4">WebPage Alerter</font></td></tr>
			<tr><td width="60"></td>
			<td><font size="2">Un outil <a href="http://www.sam-mag.com">Sam-Mag</a></font></td></tr>
		</table>	
	<table border="0" cellpadding="0" cellspacing="1" width="100%">		
		<tr>
			<td class="header" width="16">&#160;</td>
			<td class="header" width="16">Modifié</td>
			<td class="header" width="60%">URL</td>
			<td class="header">Date de dernière modification</td></tr>			
		
			<xsl:for-each select="/URLs/URL">
				<xsl:call-template name="WebPageAlertRow"></xsl:call-template>
			</xsl:for-each>								
	</table>
	
	</body>	
	</HTML>		
</xsl:template>

<xsl:template name="WebPageAlertRow">
	<xsl:variable name="URL" select="."/>
	<tr class="data">
		<td></td>
		<td><xsl:value-of select="@Modified" disable-output-escaping="no"/></td>
		<td><a href="{$URL}" target="WebPage"><xsl:value-of select="$URL"></xsl:value-of></a></td>
		<td><xsl:value-of select="@LastModified" disable-output-escaping="no"/></td>
	</tr>
</xsl:template>

</xsl:stylesheet>


